Debian Bug report logs - #528065
mmake: Please remove build-dep on jikes

version graph

Package: mmake; Maintainer for mmake is Thomas Bushnell, BSG <tb@debian.org>; Source for mmake is src:mmake.

Reported by: bdefreese@debian.org

Date: Sun, 10 May 2009 16:03:04 UTC

Severity: serious

Tags: patch, sid, squeeze

Found in version mmake/2.3-5

Fixed in version mmake/2.3-5.1

Done: Michael Banck <mbanck@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, tb@debian.org (Thomas Bushnell, BSG):
Bug#528065; Package mmake. (Sun, 10 May 2009 16:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to bdefreese@debian.org:
New Bug report received and forwarded. Copy sent to tb@debian.org (Thomas Bushnell, BSG). (Sun, 10 May 2009 16:03:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Barry deFreese <bdefreese@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mmake: Please remove build-dep on jikes
Date: Sun, 10 May 2009 11:51:33 -0400
Package: mmake
Version: 2.3-5
Severity: important

Hi,

jikes is orphaned, unmaintained, and buggy and therefore we are trying
to remove it from the archive.  mmake currently
build-depends on jikes but seems to build and run fine without it.
Could you please remove the build dependency on jikes?

Thank you,

Barry deFreese
Debian QA





Blocking bugs of 508366 added: 528065 Request was from Barry deFreese <bdefreese@debian.org> to control@bugs.debian.org. (Sun, 10 May 2009 18:42:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, tb@debian.org (Thomas Bushnell, BSG):
Bug#528065; Package mmake. (Mon, 17 Aug 2009 02:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to bdefreese@debian.org:
Extra info received and forwarded to list. Copy sent to tb@debian.org (Thomas Bushnell, BSG). (Mon, 17 Aug 2009 02:09:03 GMT) Full text and rfc822 format available.

Message #12 received at 528065@bugs.debian.org (full text, mbox):

From: Barry deFreese <bdefreese@debian.org>
To: 528065@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: mmake: Please remove build-dep on jikes
Date: Sun, 16 Aug 2009 22:06:02 -0400
severity 528065 serious

thank you


Bumping this to serious since jikes has been removed from the archive.

Thank you,

Barry deFreese
Debian QA




Severity set to 'serious' from 'important' Request was from Barry deFreese <bdefreese@debian.org> to control@bugs.debian.org. (Mon, 17 Aug 2009 02:09:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, tb@debian.org (Thomas Bushnell, BSG):
Bug#528065; Package mmake. (Tue, 29 Sep 2009 01:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to bdefreese@debian.org:
Extra info received and forwarded to list. Copy sent to tb@debian.org (Thomas Bushnell, BSG). (Tue, 29 Sep 2009 01:12:02 GMT) Full text and rfc822 format available.

Message #19 received at 528065@bugs.debian.org (full text, mbox):

From: Barry deFreese <bdefreese@debian.org>
To: 528065@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: mmake: Please remove build-dep on jikes
Date: Mon, 28 Sep 2009 21:05:58 -0400
[Message part 1 (text/plain, inline)]
tags 528065 + patch

thank you

Hi,

Here is a small patch to use default-jdk instead of jikes.  I wasn't 
able to test runtime in great depth but it seems to work.

Hope it helps.

Thanks,

Barry deFreese
Debian QA


[mmake_2.3_default_jdk.debdiff (text/plain, inline)]
diff -u mmake-2.3/debian/control mmake-2.3/debian/control
--- mmake-2.3/debian/control
+++ mmake-2.3/debian/control
@@ -4,12 +4,12 @@
 Maintainer: Thomas Bushnell, BSG <tb@debian.org>
 Standards-Version: 3.7.3
 Build-Depends: debhelper
-Build-Depends-Indep: jikes
+Build-Depends-Indep: default-jdk
 
 Package: mmake
 Architecture: all
 Depends: perl5, java-common, findutils (>= 4.0)
-Recommends: jikes | java-compiler
+Recommends: default-jdk | java-compiler
 Description: Makefile generator for Java programs
  mmake will generate a master Makefile for your Java programs.
  This generated Makefile fully understands the subdirectories

Added tag(s) patch. Request was from Barry deFreese <bdefreese@debian.org> to control@bugs.debian.org. (Tue, 29 Sep 2009 01:12:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, tb@debian.org (Thomas Bushnell, BSG):
Bug#528065; Package mmake. (Sun, 29 Nov 2009 11:03:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@debian.org>:
Extra info received and forwarded to list. Copy sent to tb@debian.org (Thomas Bushnell, BSG). (Sun, 29 Nov 2009 11:03:10 GMT) Full text and rfc822 format available.

Message #26 received at 528065@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: 528065@bugs.debian.org
Subject: Re: mmake: Please remove build-dep on jikes
Date: Sun, 29 Nov 2009 12:00:11 +0100
[Message part 1 (text/plain, inline)]
tags 528065 +pending
thanks

Hi,

I will shortly upload an NMU with the attached interdiff.


Cheers,

Michael
[interdiff (text/plain, attachment)]

Added tag(s) pending. Request was from Michael Banck <mbanck@debian.org> to control@bugs.debian.org. (Sun, 29 Nov 2009 11:03:14 GMT) Full text and rfc822 format available.

Reply sent to Michael Banck <mbanck@debian.org>:
You have taken responsibility. (Sun, 29 Nov 2009 15:48:08 GMT) Full text and rfc822 format available.

Notification sent to bdefreese@debian.org:
Bug acknowledged by developer. (Sun, 29 Nov 2009 15:48:09 GMT) Full text and rfc822 format available.

Message #33 received at 528065-close@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: 528065-close@bugs.debian.org
Subject: Bug#528065: fixed in mmake 2.3-5.1
Date: Sun, 29 Nov 2009 15:42:52 +0000
Source: mmake
Source-Version: 2.3-5.1

We believe that the bug you reported is fixed in the latest version of
mmake, which is due to be installed in the Debian FTP archive:

mmake_2.3-5.1.diff.gz
  to main/m/mmake/mmake_2.3-5.1.diff.gz
mmake_2.3-5.1.dsc
  to main/m/mmake/mmake_2.3-5.1.dsc
mmake_2.3-5.1_all.deb
  to main/m/mmake/mmake_2.3-5.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 528065@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Banck <mbanck@debian.org> (supplier of updated mmake package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Sun, 29 Nov 2009 11:51:00 +0100
Source: mmake
Binary: mmake
Architecture: source all
Version: 2.3-5.1
Distribution: unstable
Urgency: low
Maintainer: Thomas Bushnell, BSG <tb@debian.org>
Changed-By: Michael Banck <mbanck@debian.org>
Description: 
 mmake      - Makefile generator for Java programs
Closes: 528065
Changes: 
 mmake (2.3-5.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * debian/control (Build-Depends): Replaced jikes with default-jdk.
     (Recommends): Likewise, closes: #528065.
Checksums-Sha1: 
 c059ddc8b6a2f3a87191418f2be77af266411d7f 943 mmake_2.3-5.1.dsc
 b242e1b30ebb8fe6b9cbad3c49eca1862615cb33 4464 mmake_2.3-5.1.diff.gz
 bb7919cbbf81e4d5cebf56eb6da61448dc5013d6 28492 mmake_2.3-5.1_all.deb
Checksums-Sha256: 
 9522bc4079a8963534b28ab37cacd3dc990f24146274381aaa6ec162e44eadb2 943 mmake_2.3-5.1.dsc
 0dabfbb8517e8d393c3ac291df12ff24dd6f0f3bbbdd07155b9a57269a4d4580 4464 mmake_2.3-5.1.diff.gz
 db195494a32f677d02f183fb64c38a78fe29ff9d3dc4d3fbb42a0a2a13875fc6 28492 mmake_2.3-5.1_all.deb
Files: 
 f5e5c227a68e3a90cd7be4b02534ecef 943 devel extra mmake_2.3-5.1.dsc
 01c0357c808f82a4a89d97185268101f 4464 devel extra mmake_2.3-5.1.diff.gz
 d5783c7a226c3c72470032c287956dd0 28492 devel extra mmake_2.3-5.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFLEocVmHaJYZ7RAb8RAxBAAJ4kxX18mvLzpmHkmMOC9fkRmU1oYACgnPsf
3IBsrn3GGbD3ee5AflClKCo=
=7VFD
-----END PGP SIGNATURE-----





Added tag(s) squeeze and sid. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Wed, 11 Aug 2010 12:54:23 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 09:34:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:52:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.